> ## Documentation Index
> Fetch the complete documentation index at: https://www.helius.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# getAssetBatch

> Retrieve detailed information for up to 1,000 Solana NFTs, compressed NFTs, or tokens in a single efficient batch request

## Request Parameters

<ParamField body="ids" type="array" required />

<ParamField body="options" type="object">
  The display options for the response.
</ParamField>

<ParamField body="options.showUnverifiedCollections" type="boolean" default="false">
  Displays grouping information for unverified collections instead of skipping them.
</ParamField>

<ParamField body="options.showCollectionMetadata" type="boolean" default="false">
  Displays metadata for the collection.
</ParamField>

<ParamField body="options.showFungible" type="boolean" default="false">
  Displays fungible tokens held by the owner.
</ParamField>


## OpenAPI

````yaml openapi/das-api/getAssetBatch.yaml POST /
openapi: 3.1.0
info:
  title: Solana RPC API
  version: 1.0.0
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://mainnet.helius-rpc.com
    description: Mainnet RPC endpoint
  - url: https://devnet.helius-rpc.com
    description: Devnet RPC endpoint
security: []
paths:
  /:
    post:
      tags:
        - RPC
      summary: getAssetBatch
      description: Returns a batch of assets based on their IDs.
      operationId: rpc
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - id
                - method
                - params
              properties:
                jsonrpc:
                  type: string
                  enum:
                    - '2.0'
                  description: The version of the JSON-RPC protocol.
                  default: '2.0'
                id:
                  type: string
                  example: '1'
                  description: An ID to identify the request.
                  default: '1'
                method:
                  type: string
                  enum:
                    - getAssetBatch
                  description: The name of the DAS method to invoke.
                  default: getAssetBatch
                params:
                  type: object
                  default:
                    ids:
                      - F9Lw3ki3hJ7PF9HQXsBzoY8GyE6sPoEZZdXJBsTTD2rk
                  properties:
                    ids:
                      type: array
                      items:
                        type: string
                        description: The ID of the asset to retrieve.
                        example: F9Lw3ki3hJ7PF9HQXsBzoY8GyE6sPoEZZdXJBsTTD2rk
                    options:
                      type: object
                      description: The display options for the response.
                      properties:
                        showUnverifiedCollections:
                          type: boolean
                          default: false
                          description: >-
                            Displays grouping information for unverified
                            collections instead of skipping them.
                        showCollectionMetadata:
                          type: boolean
                          default: false
                          description: Displays metadata for the collection.
                        showFungible:
                          type: boolean
                          description: Displays fungible tokens held by the owner.
                          default: false
                  required:
                    - ids
                  example:
                    ids:
                      - F9Lw3ki3hJ7PF9HQXsBzoY8GyE6sPoEZZdXJBsTTD2rk
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                description: An array of assets.
                items:
                  type: object
                  properties:
                    interface:
                      type: string
                      description: The interface of the asset.
                      enum:
                        - V1_NFT
                        - V1_PRINT
                        - LEGACY_NFT
                        - V2_NFT
                        - FungibleAsset
                        - FungibleToken
                        - Custom
                        - Identity
                        - Executable
                        - ProgrammableNFT
                        - MplCoreAsset
                        - MplBubblegumV2
                        - MplCoreCollection
                        - MplCoreGroup
                      example: ProgrammableNFT
                    is_agent:
                      type: boolean
                      description: >-
                        Whether this asset has an Agent Identity (MPL Core
                        AgentIdentity external plugin). Omitted when false.
                    agent_token:
                      type: string
                      description: >-
                        Base58-encoded agent token mint from the Agent Registry
                        program. Omitted when not registered.
                    asset_signer:
                      type: string
                      description: >-
                        Base58-encoded asset-signer PDA for MPL Core. Omitted
                        when not applicable.
                    id:
                      type: string
                      description: The ID of the asset.
                      example: F9Lw3ki3hJ7PF9HQXsBzoY8GyE6sPoEZZdXJBsTTD2rk
                    plugins:
                      type: object
                      description: >-
                        MPL Core plugins, including optional MIP-11 `groups`
                        membership.
                      additionalProperties: true
                    content:
                      type: object
                      description: The content of the asset.
                      properties:
                        last_indexed_slot:
                          type: integer
                          description: >-
                            All data up to and including this slot is guaranteed
                            to have been indexed.
                          example: 365750752
                        $schema:
                          type: string
                          example: https://schema.metaplex.com/nft1.0.json
                        json_uri:
                          type: string
                          example: >-
                            https://madlads.s3.us-west-2.amazonaws.com/json/8420.json
                        files:
                          type: array
                          items:
                            type: object
                          example:
                            - uri: >-
                                https://madlads.s3.us-west-2.amazonaws.com/images/8420.png
                              cdn_uri: >-
                                https://cdn.helius-rpc.com/cdn-cgi/image//https://madlads.s3.us-west-2.amazonaws.com/images/8420.png
                              mime: image/png
                        metadata:
                          type: object
                          properties:
                            attributes:
                              type: array
                              items:
                                type: object
                              example:
                                - value: Male
                                  trait_type: Gender
                                - value: King
                                  trait_type: Type
                            description:
                              type: string
                              example: Fock it.
                            name:
                              type: string
                              example: 'Mad Lads #8420'
                            symbol:
                              type: string
                              example: MAD
                    authorities:
                      type: array
                      items:
                        type: object
                      example:
                        - address: 2RtGg6fsFiiF1EQzHqbd66AhW7R5bWeQGpTbv2UMkCdW
                          scopes:
                            - full
                    compression:
                      type: object
                      example:
                        eligible: false
                        compressed: false
                        data_hash: ''
                        creator_hash: ''
                        asset_hash: ''
                        tree: ''
                        seq: 0
                        leaf_id: 0
                    grouping:
                      type: array
                      items:
                        type: object
                      example:
                        - group_key: collection
                          group_value: J1S9H3QjnRtBbbuD4HjPV6RpRhwuk4zKbxsnCHuTgh9w
                    royalty:
                      type: object
                      example:
                        royalty_model: creators
                        target: null
                        percent: 0.042
                        basis_points: 420
                        primary_sale_happened: true
                        locked: false
                    creators:
                      type: array
                      items:
                        type: object
                      example:
                        - address: 5XvhfmRjwXkGp3jHGmaKpqeerNYjkuZZBYLVQYdeVcRv
                          share: 0
                          verified: true
                        - address: 2RtGg6fsFiiF1EQzHqbd66AhW7R5bWeQGpTbv2UMkCdW
                          share: 100
                          verified: true
                    ownership:
                      type: object
                      example:
                        frozen: true
                        delegated: false
                        delegate: null
                        ownership_model: single
                        owner: 4zdNGgAtFsW1cQgHqkiWyRsxaAgxrSRRynnuunxzjxue
                    supply:
                      type: object
                      example:
                        print_max_supply: 0
                        print_current_supply: 0
                        edition_nonce: 254
                    token_info:
                      type: object
                      description: Details about the specific token.
                      properties:
                        symbol:
                          type: string
                          description: The symbol of the token.
                        supply:
                          type: integer
                          description: The total supply of the token.
                        decimals:
                          type: integer
                          description: The number of decimals the token uses.
                        token_program:
                          type: string
                          description: The tokens program ID.
                        price_info:
                          type: object
                          description: Information about the token's price.
                          properties:
                            price_per_token:
                              type: number
                              description: The price per individual token.
                            currency:
                              type: string
                              description: >-
                                The currency in which the token's price is
                                denoted.
                        mint_authority:
                          type: string
                          description: The mint authority address of the token.
                        freeze_authority:
                          type: string
                          description: The freeze authority address of the token.
        '400':
          description: >-
            Bad Request. The server could not understand the request due to
            invalid syntax.
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: -32602
                      message:
                        type: string
                        example: Invalid request parameters.
                  id:
                    type: string
                    example: '1'
        '401':
          description: >-
            Unauthorized. The client must authenticate itself to get the
            requested response.
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: -32001
                      message:
                        type: string
                        example: Authentication failed. Missing or invalid API key.
                  id:
                    type: string
                    example: '1'
        '403':
          description: Forbidden. The client does not have access rights to the content.
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: -32003
                      message:
                        type: string
                        example: You do not have permission to access this resource.
                  id:
                    type: string
                    example: '1'
        '404':
          description: Not Found. The server can not find the requested resource.
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: -32004
                      message:
                        type: string
                        example: One or more assets in the batch were not found.
                  id:
                    type: string
                    example: '1'
        '429':
          description: >-
            Too Many Requests. The user has sent too many requests in a given
            amount of time.
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: -32029
                      message:
                        type: string
                        example: Rate limit exceeded. Please try again later.
                  id:
                    type: string
                    example: '1'
        '500':
          description: >-
            Internal Server Error. The server has encountered a situation it
            doesn't know how to handle.
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: -32000
                      message:
                        type: string
                        example: An unexpected error occurred on the server.
                  id:
                    type: string
                    example: '1'
      security:
        - ApiKeyQuery: []
components:
  securitySchemes:
    ApiKeyQuery:
      type: apiKey
      in: query
      name: api-key
      description: >-
        Your Helius API key. You can get one for free in the
        [dashboard](https://dashboard.helius.dev/api-keys).

````